datan

## Class AuxJNumberInput

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - datan.AuxJNumberInput

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

      public class AuxJNumberInput
      extends javax.swing.JPanel
      implements java.awt.event.ActionListener, java.awt.event.FocusListener

  A class representing a JPanel carrying a JLabel with Text (and tooltip text) and a JTextField for numerical input, the validity of which is checked.
  Author:
    Siegmund Brandt.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuxJNumberInput(java.lang.String labelText, java.lang.String toolTipText, javax.swing.JLabel errorLabel)` creates an AuxJNumberInput which is a JPanel carrying a JLabel with Text (and tooltip text) and a JTextField for numerical input, the validity of which is checked.
    `AuxJNumberInput(java.lang.String labelText, java.lang.String toolTipText, javax.swing.JLabel errorLabel, double minimum, double maximum)` creates an AuxJNumberInput which is a JPanel carrying a JLabel with Text (and tooltip text) and a JTextField for numerical input, the validity of which is checked.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent a)`
    `void` | `focusGained(java.awt.event.FocusEvent f)`
    `void` | `focusLost(java.awt.event.FocusEvent f)`
    `java.lang.String` | `getLabelText()` returns label text.
    `boolean` | `isEnabled()` returns true if input is enabled.
    `double` | `parseInput()` parses the input; if input permissible the result is retured as double; if it is not permissible, zero is returned and an error message is written on the error label.
    `boolean` | `parseOk()` returns true if input parses correctly, false otherwise.
    `void` | `setEnabled(boolean enabled)` enables or disables input.
    `void` | `setIsInteger(boolean isInteger)` sets a property; if isInteger == true, only the input of integers is permissable.
    `void` | `setMaximum(double maximum)` sets maximum permissible value.
    `void` | `setMinimum(double minimum)` sets minmum permissible value.
    `void` | `setNumberInTextField(double d)` places a number in the text field and checks it for validity.
    `void` | `setProperties(boolean enabled, boolean isInteger)` sets properties; enables or disables input; if isInteger == true, only the input of integers is permissable.
    `void` | `setProperties(boolean enabled, boolean isInteger, double minimum)` sets properties; enables or disables input.
    `void` | `setProperties(boolean enabled, boolean isInteger, double minimum, double maximum)` sets properties; enables or disables input; if isInteger == true, only the input of integers is permissable.
    `void` | `setProperties(java.lang.String labelText, boolean isInteger)` sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
    `void` | `setProperties(java.lang.String labelText, boolean isInteger, double minimum)` sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
    `void` | `setProperties(java.lang.String labelText, boolean isInteger, double minimum, double maximum)` sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
    `void` | `setText(java.lang.String text)` sets text for label.
    `void` | `setToolTipText(java.lang.String toolTipText)` sets tooltip text for label.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuxJNumberInput

          public AuxJNumberInput(java.lang.String labelText,
                         java.lang.String toolTipText,
                         javax.swing.JLabel errorLabel)

      creates an AuxJNumberInput which is a JPanel carrying a JLabel with Text (and tooltip text) and a JTextField for numerical input, the validity of which is checked.
      Parameters:
        `errorLabel` - label on which a possible error message is written.

    - #### AuxJNumberInput

          public AuxJNumberInput(java.lang.String labelText,
                         java.lang.String toolTipText,
                         javax.swing.JLabel errorLabel,
                         double minimum,
                         double maximum)

      creates an AuxJNumberInput which is a JPanel carrying a JLabel with Text (and tooltip text) and a JTextField for numerical input, the validity of which is checked.
      Parameters:
        `errorLabel` - label on which a possible error message is written.
        `minimum` - minimum permissible input value.
        `maximum` - maximum permissible input value.

  - ### Method Detail

    - #### setProperties

          public void setProperties(boolean enabled,
                           boolean isInteger)

      sets properties; enables or disables input; if isInteger == true, only the input of integers is permissable.

    - #### setProperties

          public void setProperties(boolean enabled,
                           boolean isInteger,
                           double minimum)

      sets properties; enables or disables input.
      Parameters:
        `minimum` - minimum permissible input value.

    - #### setProperties

          public void setProperties(boolean enabled,
                           boolean isInteger,
                           double minimum,
                           double maximum)

      sets properties; enables or disables input; if isInteger == true, only the input of integers is permissable.
      Parameters:
        `minimum` - minimum permissible input value.
        `maximum` - maximum permissible input value.

    - #### setProperties

          public void setProperties(java.lang.String labelText,
                           boolean isInteger)

      sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
      Parameters:
        `labelText` - text placed on label to the left of text field for input.

    - #### setProperties

          public void setProperties(java.lang.String labelText,
                           boolean isInteger,
                           double minimum)

      sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
      Parameters:
        `labelText` - text placed on label to the left of text field for input.
        `minimum` - minimum permissible input value.

    - #### setProperties

          public void setProperties(java.lang.String labelText,
                           boolean isInteger,
                           double minimum,
                           double maximum)

      sets properties; input is enabled; if isInteger == true, only the input of integers is permissable.
      Parameters:
        `labelText` - text placed on label to the left of text field for input.
        `minimum` - minimum permissible input value.
        `maximum` - maximum permissible input value.

    - #### setEnabled

          public void setEnabled(boolean enabled)

      enables or disables input.
      Overrides:
        `setEnabled` in class `javax.swing.JComponent`

    - #### setText

          public void setText(java.lang.String text)

      sets text for label.

    - #### setToolTipText

          public void setToolTipText(java.lang.String toolTipText)

      sets tooltip text for label.
      Overrides:
        `setToolTipText` in class `javax.swing.JComponent`

    - #### getLabelText

          public java.lang.String getLabelText()

      returns label text.

    - #### setNumberInTextField

          public void setNumberInTextField(double d)

      places a number in the text field and checks it for validity.

    - #### setMinimum

          public void setMinimum(double minimum)

      sets minmum permissible value.

    - #### setMaximum

          public void setMaximum(double maximum)

      sets maximum permissible value.

    - #### setIsInteger

          public void setIsInteger(boolean isInteger)

      sets a property; if isInteger == true, only the input of integers is permissable.

    - #### isEnabled

          public boolean isEnabled()

      returns true if input is enabled.
      Overrides:
        `isEnabled` in class `java.awt.Component`

    - #### parseInput

          public double parseInput()

      parses the input; if input permissible the result is retured as double; if it is not permissible, zero is returned and an error message is written on the error label.

    - #### parseOk

          public boolean parseOk()

      returns true if input parses correctly, false otherwise.

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent f)

      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent f)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent a)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`